CMSIS-Driver: Media Interface Types

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
Media Interface Types
Ethernet Interface

Ethernet Media Interface type. More...

## Macros

#define | ARM_ETH_INTERFACE_MII (0U)
| Ethernet Media Interface type. More...
#define | ARM_ETH_INTERFACE_RMII (1U)
| Reduced Media Independent Interface (RMII) More...
#define | ARM_ETH_INTERFACE_SMII (2U)
| Serial Media Independent Interface (SMII) More...

## Description

Ethernet Media Interface type.

Encodes the supported media interface between Ethernet MAC and Ethernet PHY. The function ARM_ETH_MAC_GetCapabilities retrieves the media interface type encoded in the data field media_interface of the struct ARM_ETH_MAC_CAPABILITIES.

Parameter for:

- ARM_ETH_PHY_SetInterface

## Macro Definition Documentation

#define ARM_ETH_INTERFACE_MII (0U)

Ethernet Media Interface type.

Media Independent Interface (MII)

See Also
  ARM_ETH_PHY_SetInterface

#define ARM_ETH_INTERFACE_RMII (1U)

Reduced Media Independent Interface (RMII)

See Also
  ARM_ETH_PHY_SetInterface

#define ARM_ETH_INTERFACE_SMII (2U)

Serial Media Independent Interface (SMII)

See Also
  ARM_ETH_PHY_SetInterface